Name:           qt5-qtenginio
Epoch:          1
Version:        1.6.2
Release:        20
Summary:        Enginio component
License:        LGPLv2 with exceptions or GPLv3 with exceptions
URL:            http://www.qt.io
Source0:        qtenginio-opensource-src-%{version}.tar.xz
Patch0:         qt5-qtenginio_linkedlist.patch

%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$

BuildRequires:  qt5-qtbase-devel >= 5.6 qt5-qtbase-private-devel qt5-qtdeclarative-devel  make
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
Client library for accessing Enginio service from Qt and QML code.

%package        devel
Summary:        Development files for qt5-qtenginio
Requires:       qt5-qtenginio = %{epoch}:%{version}-%{release} qt5-qtbase-devel
Provides:       qt5-qtenginio-examples = %{version}-%{release}
Obsoletes:      qt5-qtenginio-examples < %{version}-%{release}

%description    devel
Development files for qt5-qtenginio.

%package        help
Summary:        Documentation for qt5-qtenginio development
License:        GFDL
BuildRequires:  qt5-qdoc qt5-qhelpgenerator
BuildArch:      noarch
Provides:       qtenginio-doc = %{version}-%{release}
Obsoletes:      qtenginio-doc < %{version}-%{release}

%description    help
Documentation for qt5-qtenginio development.

%prep
%autosetup -n qtenginio-opensource-src-%{version}%{?prerelease:-%{prerelease}} -p1

%build
%{qmake_qt5}

%make_build

export QT_HASH_SEED=0
%make_build docs

%install
make install INSTALL_ROOT=%{buildroot}
make install_docs INSTALL_ROOT=%{buildroot}

cd %{buildroot}%{_qt5_libdir}
for prl_file in libEng*.prl ; do
sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
if [ -f "$(basename ${prl_file} .prl).so" ]; then
rm -fv "$(basename ${prl_file} .prl).la"
sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
fi
done
cd -

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%license LICENSE* LGPL_EXCEPTION.txt
%{_qt5_libdir}/libEnginio.so.1*
%{_qt5_archdatadir}/qml/Enginio/

%files devel
%{_qt5_headerdir}/Enginio/
%{_qt5_libdir}/libEnginio.so
%{_qt5_libdir}/libEnginio.prl
%dir %{_qt5_libdir}/cmake/Qt5Enginio/
%{_qt5_libdir}/cmake/Qt5Enginio/Qt5EnginioConfig*.cmake
%{_qt5_libdir}/pkgconfig/Enginio.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_enginio*.pri
%{_qt5_examplesdir}/

%files help
%{_qt5_docdir}/qtenginio
%{_qt5_docdir}/qtenginiooverview
%{_qt5_docdir}/*.qch
%{_qt5_docdir}/qtenginioqml

%changelog
* Tue Jan 18 2022 liyanan <liyanan32@huawei.com> - 1:1.6.2-20
- fix build error

* Mon Dec 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:1.6.2-19
- Package init
